Subject: Re: linux-next: Fixes tag needs some work in the qcom tree

From: Brian Masney <[email-masked]>
Date: Mon, 12 Jan 2026 18:00:19 -0500

+ Bjorn and Konrad,

On Tue, Jan 13, 2026 at 08:06:06AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   35a48f41b63f ("clk: qcom: regmap-divider: convert from divider_ro_round_rate() to divider_ro_determine_rate()")
> 
> Fixes tag
> 
>   Fixes: 859a7e020b23 ("clk: qcom: regmap-divider: convert from divider_round_rate() to divider_determine_rate()")
> 
> has these problem(s):
> 
>   - Target SHA1 does not exist
> 
> Also, the subject in the fixes tag is the same as the fixing commit,
> so I have not idea which commit was intended.

I missed up my Fixes tag on this commit that was applied to the qcom clk
tree:

https://git.kernel.org/pub/scm/linux/kernel/git/qcom/linux.git/commit/?h=clk-for-6.20&id=35a48f41b63f67c490f3a2a89b042536be67cf0f

The Fixes tag should be:

Fixes: b6f90511c165 ("clk: qcom: regmap-divider: convert from round_rate() to determine_rate()")

The SHA is correct. I just have the wrong commit description.

Bjorn: How would you like to handle this? Do you want me to repost a new
version of that patch, and you can drop the current version? Or can you
rebase your branch with the correct Fixes tag?

Sorry about the extra work. Copy and paste error on my part.

Brian